#!/usr/bin/perl -I/usr/sausalito/perl
# $Id: 50_fix_site_quota.pl, v1.0.0.0 Wed 05 Sep 2007 11:21:08 AM CEST mstauber Exp $
# Copyright 2007-2008 Solarspeed Ltd. All rights reserved.
#
# Script to fix Active Monitor's Disk Usage stuff for Sites, so that Site Disk usage is shown again

use CCE;
my $cce = new CCE;
my $conf = '/var/lib/cobalt';

$cce->connectuds();

# Find /home in CCE
@oids = $cce->find('Disk', { 'mountPoint' => '/home' });
if ($#oids < 0) {
    print "Partition /home not found in CCE - creating it!\n";

            # Populate CCE:
            ($ok) = $cce->create('Disk', {
                'isHomePartition' => '1',
                'mounted' => '1',
                'fsType' => '',
                'mountPoint' => '/home',
                'CLASS' => 'Disk',
                'quota' => '0',
                'uuid' => '',
                'device' => '/dev/simfs',
                'label' => '',
                'check' => '0',
                'internal' => '1',
                'mount' => '0'
                    });
}

$cce->bye();
exit 0;

